Subject: Re: regression in iwlwifi: page fault in iwl_dbg_tlv_alloc_region() (commit ba8f6f4ae254)

From: Kalle Valo <[email-masked]>
Date: Tue, 12 Jan 2021 14:45:33 +0200

Takashi Iwai <[email-masked]> writes:

> On Tue, 12 Jan 2021 12:33:14 +0100,
> Kalle Valo wrote:
>> 
>> (adding luca)
>> 
>> Michal Kubecek <[email-masked]> writes:
>> 
>> > FYI, there is a regression in iwlwifi driver caused by commit
>> > ba8f6f4ae254 ("iwlwifi: dbg: add dumping special device memory")
>> > reported at
>> >
>> >   https://bugzilla.kernel.org/show_bug.cgi?id=210733
>> >   https://bugzilla.suse.com/show_bug.cgi?id=1180344
>> >
>> > The problem seems to be an attempt to write terminating null character
>> > into a string which may be read only. There is also a proposed fix.
>> 
>> Can someone submit a proper patch, please? See instructions below how to
>> submit.
>> 
>> And please add Fixes tag to the commit log:
>> 
>> Fixes: ba8f6f4ae254 ("iwlwifi: dbg: add dumping special device memory")
>
> OK, I'll do it for my own

Thanks.

> but really I hoped that someone would have reacted on the bugzilla
> report before the official patch submission. So far no one from the
> upstream devs showed interest in the bug at all, unfortunately.

Bugzilla is problematic as I don't know if anyone tracks it actively, at
least I don't have time for that. I recommend reporting all wireless
issues to mailing lists to make sure everyone see it.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches